import arcpy, ArcSAGA

class Toolbox(object):
	def __init__(self):
		self.label = "LAS"
		self.alias = ""
		self.tools = [tool_2]

class tool_2(object):
	def __init__(self):
		self.label = "LAS Info"
		self.description = "<p>Prints information on ASPRS LAS files (versions 1.0, 1.1 and 1.2) using the \"libLAS\" library. Get more information about this library at <a href=\"http://liblas.org\">http://liblas.org</a></p><p>Implementation of this tool builds upon the lasinfo tool of <a href=\"http://www.cs.unc.edu/~isenburg/lastools\">Martin Isenburg</a>.</p><p></p><p></p><p>liblas version: 1.2.1<p><hr><span STYLE=\"font-style:italic;font-size:9pt;font-weight:bold\">SAGA - System for Automated Geoscientific Analyses<br></span><span STYLE=\"font-style:italic;font-size:8pt\">www.saga-gis.org<br></span><span STYLE=\"font-style:italic;font-size:6pt\">_____<br>Reference:<br>Conrad, O., Bechtel, B., Bock, M., Dietrich, H., Fischer, E., Gerlitz, L., Wehberg, J., Wichmann, V., and B_hner, J. (2015): System for Automated Geoscientific Analyses (SAGA) v. 2.1.4, Geosci. Model Dev., 8, 1991-2007, doi:10.5194/gmd-8-1991-2015.</span></p></p>"
		self.canRunInBackground = False

	def getParameterInfo(self):
		param = arcpy.Parameter(displayName="LAS File", name="FILE", direction="Input", parameterType="Optional", datatype="DEFile")
		params  = [param]
		param = arcpy.Parameter(displayName="Only Header Info", name="HEADER", direction="Input", parameterType="Optional", datatype="GPBoolean")
		param.value = False
		params += [param]
		return params

	def execute(self, parameters, messages):
		Tool = ArcSAGA.SAGA_Tool('io_shapes_las', '2')
		Tool.Set_Option('FILE', parameters[0].valueAsText)
		Tool.Set_Option('HEADER', parameters[1].valueAsText)
		Tool.Run()
		return
